### Method

# Atspi Text get_text_before_offset

#### Declaration [src]

    AtspiTextRange*
    atspi_text_get_text_before_offset (
      AtspiText* obj,
      gint offset,
      AtspiTextBoundaryType type,
      GError** error
    )

#### Description [src]

Gets delimited text from an `AtspiText` object which precedes a given text offset.

#### Parameters

`offset`

  Type: `gint`

  A #gint indicating the offset from which the delimiter search is based.

`type`

  Type: `AtspiTextBoundaryType`

  An `AtspiTextBoundaryType` indicating whether the desired text string is a word, sentence, line, or attribute run.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AtspiTextRange`

An `AtspiTextRange` containing a UTF-8 string representing the delimited text, both of whose delimiting boundaries are before the current offset, or an empty string if no such text exists.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.